#!/bin/bash -e

if [[ "${DEBUG}" == "1" ]] || [[ "${DEBUG}" == "true" ]];
then
    tiller --verbose --debug
else
    tiller
fi

if [ "$#" -eq 0 ]; then
    # run the default command for this image
    #
    # Optionally, if the caller provided a config for kubexit, use it
    if [ -n "$KUBEXIT_NAME" ]; then
        CONTAINER_COMMAND='/kubexit /container_command.sh'
    else
        CONTAINER_COMMAND=/container_command.sh
    fi
else
    # run the provided command in the container
    echo 'Running custom container command'
    CONTAINER_COMMAND="$@"
fi

exec $CONTAINER_COMMAND
